LockRequestMode (Oracle - Berkeley DB Java API)
Date: 2018-05-29

com.sleepycat.db

## Class LockRequestMode

- java.lang.Object
- - com.sleepycat.db.LockRequestMode

-     public final class LockRequestMode
      extends java.lang.Object

  When using the default lock conflict matrix, the LockRequestMode class defines the set of possible lock modes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LockRequestMode` | `IREAD` Intention to read (shared).
    `static LockRequestMode` | `IWR` Intention to read and write (shared).
    `static LockRequestMode` | `IWRITE` Intention to write (shared).
    `static LockRequestMode` | `READ` Read (shared).
    `static LockRequestMode` | `WRITE` Write (exclusive).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LockRequestMode(java.lang.String operationName, int flag)` Construct a custom lock request mode.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### READ

          public static final LockRequestMode READ

      Read (shared).

    - #### WRITE

          public static final LockRequestMode WRITE

      Write (exclusive).

    - #### IWRITE

          public static final LockRequestMode IWRITE

      Intention to write (shared).

    - #### IREAD

          public static final LockRequestMode IREAD

      Intention to read (shared).

    - #### IWR

          public static final LockRequestMode IWR

      Intention to read and write (shared).

  - ### Constructor Detail

    - #### LockRequestMode

          public LockRequestMode(java.lang.String operationName,
                                 int flag)

      Construct a custom lock request mode.

      Parameters:
        `operationName` - Name used to display the mode

        `flag` - Flag value used as an index into the lock conflict matrix

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 1996, 2018 Oracle and/or its affiliates. All rights reserved.